> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an applicant



## OpenAPI

````yaml openapi-leasing.json GET /v1/applications/{id}/applicants/{applicantId}
openapi: 3.1.0
info:
  title: Yorlet Leasing API
  description: >-
    APIs for managing applications, deposits, guarantors, references, and
    tenancies.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/applications/{id}/applicants/{applicantId}:
    get:
      tags:
        - Applications
      summary: Retrieve an applicant
      operationId: applications_retrieve-applicant
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
        - schema:
            type: string
            description: The applicantId identifier.
          required: true
          description: The applicantId identifier.
          name: applicantId
          in: path
      responses:
        '200':
          description: Returns the applicant object if the retrieval succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - application.applicant
                  application:
                    type: string
                    pattern: ^[a-zA-Z0-9_]+$
                    description: >-
                      The identifier of the application the applicant belongs
                      to.
                  advance_rent:
                    type: object
                    properties:
                      amount:
                        type: number
                        description: The advance rent amount for the applicant.
                      paid:
                        type: boolean
                        description: Whether the advance rent has been paid.
                      paid_off_platform:
                        type: boolean
                        description: Whether the advance rent was paid off platform.
                      transaction:
                        type:
                          - string
                          - 'null'
                        description: The identifier of the advance rent transaction.
                    description: The advance rent details for the applicant.
                  currency:
                    type: string
                    enum:
                      - gbp
                      - usd
                      - eur
                      - sek
                    description: The currency for the applicant.
                    example: gbp
                  customer:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                    description: The customer associated with the applicant.
                  deposit:
                    type: object
                    properties:
                      amount:
                        type: number
                        description: The deposit amount for the applicant.
                      paid:
                        type: boolean
                        description: Whether the deposit has been paid.
                      paid_off_platform:
                        type: boolean
                        description: Whether the deposit was paid off platform.
                      transaction:
                        type:
                          - string
                          - 'null'
                        description: The identifier of the deposit transaction.
                    required:
                      - amount
                      - paid
                      - paid_off_platform
                      - transaction
                    description: The deposit details for the applicant.
                  guarantor:
                    type:
                      - string
                      - 'null'
                    description: The identifier of the guarantor for the applicant.
                  guarantor_contract:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The identifier of the guarantor contract for the
                      applicant.
                  holding_fee:
                    type: object
                    properties:
                      amount:
                        type: number
                        description: The holding fee amount for the applicant.
                      paid:
                        type: boolean
                        description: Whether the holding fee has been paid.
                      paid_off_platform:
                        type: boolean
                        description: Whether the holding fee was paid off platform.
                      transaction:
                        type:
                          - string
                          - 'null'
                        description: The identifier of the holding fee transaction.
                    description: The holding fee details for the applicant.
                  lead_tenant:
                    type: boolean
                    description: Whether the applicant is the lead tenant.
                  pets:
                    type: array
                    items:
                      type: object
                      properties:
                        age:
                          type:
                            - number
                            - 'null'
                          description: The age of the pet.
                        name:
                          type:
                            - string
                            - 'null'
                          description: The name of the pet.
                        type:
                          type: string
                          enum:
                            - dog
                            - cat
                            - small_animal
                            - bird
                            - fish
                            - other
                          description: The species of the pet.
                      required:
                        - age
                        - name
                        - type
                    description: The pets of the applicant.
                  permitted_occupier:
                    type: boolean
                    description: Whether the applicant is a permitted occupier.
                  pre_qualification:
                    type: object
                    properties:
                      affordability:
                        type: object
                        properties:
                          company_name:
                            type: string
                            description: The name of the company the applicant works for.
                          gross_annual_salary:
                            type: number
                            description: The gross annual salary of the applicant.
                          role:
                            type: string
                            description: The role of the applicant.
                        description: The affordability details for the applicant.
                      nationality:
                        type: string
                        description: The nationality of the applicant.
                    description: The pre-qualification details for the applicant.
                  requirements:
                    type: object
                    properties:
                      guarantor:
                        type: boolean
                        description: Whether the applicant needs a guarantor.
                    required:
                      - guarantor
                  share_of_rent:
                    type: number
                    description: The share of rent for the applicant.
                  status:
                    type: string
                    description: The status of the applicant.
                  tos_acceptance:
                    type:
                      - object
                      - 'null'
                    properties:
                      date:
                        type:
                          - number
                          - 'null'
                        description: The date the terms of service were accepted.
                      ip:
                        type:
                          - string
                          - 'null'
                        description: >-
                          The IP address from which the terms of service were
                          accepted.
                    required:
                      - date
                      - ip
                    description: The terms of service acceptance details for the applicant.
                  verification_session:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The verification session associated with the applicant.
                  verification_session_required:
                    type: boolean
                    description: >-
                      Whether the applicant is required to complete a
                      verification session.
                required:
                  - id
                  - created
                  - object
                  - application
                  - advance_rent
                  - currency
                  - customer
                  - deposit
                  - guarantor
                  - guarantor_contract
                  - holding_fee
                  - lead_tenant
                  - permitted_occupier
                  - requirements
                  - share_of_rent
                  - status
                  - tos_acceptance
                  - verification_session
                  - verification_session_required
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````